# stablediffusion2 Setup 

![](0.png)

## **Initial Setup**

In this tutorial we're going to install stablediffusion, and use a rtx 3070 TI to make it work.
    
    
    [ 10.0.2.2/24 ] [ /dev/pts/28 ] [~/easydiffusion]
    → sudo pacman -S python-pip
    warning: python-pip-23.2.1-1 is up to date -- reinstalling
    resolving dependencies...
    looking for conflicting packages...
    
    Packages (1) python-pip-23.2.1-1
    
    Total Installed Size:  20.68 MiB
    Net Upgrade Size:       0.00 MiB
    
    :: Proceed with installation? [Y/n] y
    (1/1) checking keys in keyring                                                                                                                  [########################################################################################] 100%
    (1/1) checking package integrity                                                                                                                [########################################################################################] 100%
    (1/1) loading package files                                                                                                                     [########################################################################################] 100%
    (1/1) checking for file conflicts                                                                                                               [########################################################################################] 100%
    (1/1) checking available disk space                                                                                                             [########################################################################################] 100%
    :: Processing package changes...
    (1/1) reinstalling python-pip                                                                                                                   [########################################################################################] 100%
    :: Running post-transaction hooks...
    (1/1) Arming ConditionNeedsUpdate...
    
    [ 10.0.2.2/24 ] [ /dev/pts/28 ] [~/easydiffusion]
    → pip3 --version
    pip 23.2.1 from /usr/lib/python3.11/site-packages/pip (python 3.11)
    
    

Then go [here](https://github.com/easydiffusion/easydiffusion#installation) and unpack it to run the start.sh script:

![](1.png)
    
    
    [ 10.0.2.2/24 ] [ /dev/pts/28 ] [~]
    → mkdir easydiffusion
    
    [ 10.0.2.2/24 ] [ /dev/pts/28 ] [~]
    → cd easydiffusion
    
    [ 10.0.2.2/24 ] [ /dev/pts/28 ] [~/easydiffusion]
    → mv ../Downloads/Easy-Diffusion-Linux.zip .
    
    [ 10.0.2.2/24 ] [ /dev/pts/28 ] [~/easydiffusion]
    → unzip Easy-Diffusion-Linux.zip
    Archive:  Easy-Diffusion-Linux.zip
       creating: easy-diffusion/
      inflating: easy-diffusion/CreativeML Open RAIL-M License
      inflating: easy-diffusion/start.sh
      inflating: easy-diffusion/LICENSE
      inflating: easy-diffusion/How to install and run.txt
       creating: easy-diffusion/scripts/
      inflating: easy-diffusion/scripts/install_status.txt
      inflating: easy-diffusion/scripts/functions.sh
      inflating: easy-diffusion/scripts/bootstrap.sh
      inflating: easy-diffusion/scripts/on_env_start.sh
    
    [ 10.0.2.2/24 ] [ /dev/pts/28 ] [~/easydiffusion]
    → cd easy-diffusion
    
    [ 10.0.2.2/24 ] [ /dev/pts/28 ] [~/easydiffusion/easy-diffusion]
    → ls
    'CreativeML Open RAIL-M License'  'How to install and run.txt'   LICENSE   scripts   start.sh
    
    [ 10.0.2.2/24 ] [ /dev/pts/28 ] [~/easydiffusion/easy-diffusion]
    → ./start.sh
    	
    

Run the script and wait for it to finish:
    
    
    	
    [ 10.0.2.2/24 ] [ /dev/pts/28 ] [~/easydiffusion/easy-diffusion]
    → ./start.sh
    /usr/bin/curl
    /usr/bin/tar
    /usr/bin/bzip2
    Downloading micromamba from https://micro.mamba.pm/api/micromamba/linux-64/latest to /home/nothing/easydiffusion/easy-diffusion/installer_files/mamba/micromamba
      % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                     Dload  Upload   Total   Spent    Left  Speed
      0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
    100  4219    0  4219    0     0   4823      0 --:--:-- --:--:-- --:--:--  6297
      0     0    0     0    0     0      0      0 --:--:--  0:00:01 --:--:--     0bin/micromamba
    100 5076k  100 5076k    0     0   812k      0  0:00:06  0:00:06 --:--:-- 1122k
    Micromamba version:
    1.4.9
    Empty environment created at prefix: /home/nothing/easydiffusion/easy-diffusion/installer_files/env
    Packages to install: conda python=3.8.5
    conda-forge/noarch                                  11.8MB @   4.4MB/s  2.8s
    conda-forge/linux-64                                29.4MB @   2.5MB/s 12.0s
    
    Transaction
    
      Prefix: /home/nothing/easydiffusion/easy-diffusion/installer_files/env
    
      Updating specs:
    
       - conda
       - python=3.8.5
    
    
      Package                      Version  Build               Channel          Size
    ───────────────────────────────────────────────────────────────────────────────────
      Install:
    ───────────────────────────────────────────────────────────────────────────────────
    
      + python_abi                     3.8  3_cp38              conda-forge       6kB
      + ld_impl_linux-64              2.40  h41732ed_0          conda-forge     705kB
      + _libgcc_mutex                  0.1  conda_forge         conda-forge       3kB
      + libstdcxx-ng                13.1.0  hfd8a6a1_0          conda-forge       4MB
      + ca-certificates          2023.7.22  hbcca054_0          conda-forge     150kB
      + libgomp                     13.1.0  he5830b7_0          conda-forge     419kB
      + _openmp_mutex                  4.5  2_gnu               conda-forge      24kB
      + libgcc-ng                   13.1.0  he5830b7_0          conda-forge     776kB
      + ncurses                        6.4  hcb278e6_0          conda-forge     881kB
      + libzlib                     1.2.13  hd590300_5          conda-forge      62kB
      + xz                           5.2.6  h166bdaf_0          conda-forge     418kB
      + openssl                     1.1.1u  hd590300_0          conda-forge       2MB
      + libffi                       3.2.1  he1b5a44_1007       conda-forge      48kB
      + readline                       8.2  h8228510_1          conda-forge     281kB
      + zstd                         1.5.2  hfc55251_7          conda-forge     431kB
      + zlib                        1.2.13  hd590300_5          conda-forge      93kB
      + tk                          8.6.12  h27826a3_0          conda-forge       3MB
      + libsqlite                   3.42.0  h2797004_0          conda-forge     829kB
      + sqlite                      3.42.0  h2c6b66d_0          conda-forge     818kB
      + python                       3.8.5  h1103e12_9_cpython  conda-forge      23MB
      + wheel                       0.41.0  pyhd8ed1ab_0        conda-forge      57kB
      + setuptools                  68.0.0  pyhd8ed1ab_0        conda-forge     464kB
      + pip                         23.2.1  pyhd8ed1ab_0        conda-forge       1MB
      + pysocks                      1.7.1  pyha2e5f31_6        conda-forge      19kB
      + pycparser                     2.21  pyhd8ed1ab_0        conda-forge     103kB
      + charset-normalizer           3.2.0  pyhd8ed1ab_0        conda-forge      46kB
      + idna                           3.4  pyhd8ed1ab_0        conda-forge      57kB
      + certifi                  2023.7.22  pyhd8ed1ab_0        conda-forge     154kB
      + colorama                     0.4.6  pyhd8ed1ab_0        conda-forge      25kB
      + packaging                     23.1  pyhd8ed1ab_0        conda-forge      46kB
      + toolz                       0.12.0  pyhd8ed1ab_0        conda-forge      49kB
      + pluggy                       1.2.0  pyhd8ed1ab_0        conda-forge      22kB
      + jsonpointer                    2.0  py_0                conda-forge       9kB
      + boltons                     23.0.0  pyhd8ed1ab_0        conda-forge     303kB
      + tqdm                        4.65.0  pyhd8ed1ab_1        conda-forge      88kB
      + jsonpatch                     1.32  pyhd8ed1ab_0        conda-forge      15kB
      + brotli-python                1.0.9  py38hfa26641_9      conda-forge     327kB
      + ruamel.yaml.clib             0.2.7  py38h1de0b5d_1      conda-forge     146kB
      + pycosat                      0.6.4  py38h0a891b7_1      conda-forge     111kB
      + cffi                        1.14.4  py38ha312104_0      conda-forge     231kB
      + ruamel.yaml                0.17.32  py38h01eb140_0      conda-forge     200kB
      + zstandard                   0.19.0  py38ha98ab4e_2      conda-forge     394kB
      + cryptography                39.0.0  py38h1724139_0      conda-forge       1MB
      + urllib3                      2.0.4  pyhd8ed1ab_0        conda-forge      98kB
      + conda-package-streaming      0.8.0  pyhd8ed1ab_0        conda-forge      19kB
      + pyopenssl                   23.2.0  pyhd8ed1ab_1        conda-forge     129kB
      + requests                    2.31.0  pyhd8ed1ab_0        conda-forge      57kB
      + conda-package-handling       2.0.2  pyh38be061_0        conda-forge     253kB
      + conda                       23.7.2  py38h578d9bd_0      conda-forge       1MB
    
      Summary:
    
      Install: 49 packages
    
      Total download: 45MB
    
    ───────────────────────────────────────────────────────────────────────────────────
    
    
    
    Transaction starting
    _libgcc_mutex                                        2.6kB @  23.1kB/s  0.1s
    ca-certificates                                    149.5kB @   1.0MB/s  0.1s
    python_abi                                           5.7kB @  33.6kB/s  0.2s
    libzlib                                             61.6kB @ 352.9kB/s  0.1s
    readline                                           281.5kB @ 997.0kB/s  0.1s
    libstdcxx-ng                                         3.8MB @   1.3MB/s  2.9s
    charset-normalizer                                  45.7kB @  15.5kB/s  0.1s
    colorama                                            25.2kB @   8.2kB/s  0.1s
    pluggy                                              21.5kB @   6.8kB/s  0.1s
    tqdm                                                88.2kB @  26.7kB/s  0.1s
    ruamel.yaml.clib                                   146.4kB @  41.1kB/s  0.3s
    ruamel.yaml                                        200.2kB @  51.0kB/s  0.4s
    urllib3                                             98.4kB @  24.2kB/s  0.1s
    requests                                            56.7kB @  13.6kB/s  0.1s
    libgomp                                            419.2kB @  92.8kB/s  0.3s
    ncurses                                            881.0kB @ 162.1kB/s  0.9s
    libffi                                              48.0kB @   8.7kB/s  0.1s
    libsqlite                                          828.9kB @ 133.0kB/s  0.7s
    setuptools                                         463.7kB @  70.2kB/s  0.4s
    idna                                                56.7kB @   8.5kB/s  0.1s
    toolz                                               49.1kB @   7.2kB/s  0.1s
    jsonpatch                                           14.6kB @   2.1kB/s  0.1s
    cffi                                               231.2kB @  31.6kB/s  0.4s
    conda-package-streaming                             18.8kB @   2.5kB/s  0.1s
    conda                                                1.0MB @ 124.7kB/s  0.8s
    xz                                                 418.4kB @  49.3kB/s  0.3s
    zlib                                                92.8kB @  10.8kB/s  0.1s
    python                                              23.0MB @   2.7MB/s  8.4s
    packaging                                           46.1kB @   5.3kB/s  0.1s
    pysocks                                             19.0kB @   2.2kB/s  0.1s
    brotli-python                                      326.8kB @  36.8kB/s  0.2s
    pip                                                  1.4MB @ 155.3kB/s  8.6s
    _openmp_mutex                                       23.6kB @   2.6kB/s  0.1s
    pycparser                                          102.7kB @  11.4kB/s  0.1s
    boltons                                            302.8kB @  32.2kB/s  0.4s
    pyopenssl                                          129.0kB @  13.6kB/s  0.1s
    cryptography                                         1.4MB @ 146.9kB/s  1.1s
    certifi                                            153.8kB @  15.5kB/s  0.2s
    openssl                                              2.0MB @ 187.9kB/s  0.9s
    zstandard                                          393.5kB @  37.8kB/s  0.5s
    zstd                                               431.1kB @  41.3kB/s  1.5s
    wheel                                               57.4kB @   5.4kB/s  0.1s
    ld_impl_linux-64                                   704.7kB @  66.6kB/s 10.6s
    sqlite                                             818.2kB @  76.8kB/s  0.3s
    pycosat                                            110.6kB @  10.4kB/s  0.2s
    jsonpointer                                          8.7kB @ 817.0 B/s  0.1s
    conda-package-handling                             253.2kB @  23.5kB/s  0.1s
    libgcc-ng                                          776.3kB @  70.9kB/s  0.4s
    tk                                                   3.5MB @ 275.8kB/s 12.4s
    Linking python_abi-3.8-3_cp38
    Linking ld_impl_linux-64-2.40-h41732ed_0
    Linking _libgcc_mutex-0.1-conda_forge
    Linking libstdcxx-ng-13.1.0-hfd8a6a1_0
    Linking ca-certificates-2023.7.22-hbcca054_0
    Linking libgomp-13.1.0-he5830b7_0
    Linking _openmp_mutex-4.5-2_gnu
    Linking libgcc-ng-13.1.0-he5830b7_0
    Linking ncurses-6.4-hcb278e6_0
    Linking libzlib-1.2.13-hd590300_5
    Linking xz-5.2.6-h166bdaf_0
    Linking openssl-1.1.1u-hd590300_0
    Linking libffi-3.2.1-he1b5a44_1007
    Linking readline-8.2-h8228510_1
    Linking zstd-1.5.2-hfc55251_7
    Linking zlib-1.2.13-hd590300_5
    Linking tk-8.6.12-h27826a3_0
    Linking libsqlite-3.42.0-h2797004_0
    Linking sqlite-3.42.0-h2c6b66d_0
    Linking python-3.8.5-h1103e12_9_cpython
    Linking wheel-0.41.0-pyhd8ed1ab_0
    Linking setuptools-68.0.0-pyhd8ed1ab_0
    Linking pip-23.2.1-pyhd8ed1ab_0
    Linking pysocks-1.7.1-pyha2e5f31_6
    Linking pycparser-2.21-pyhd8ed1ab_0
    Linking charset-normalizer-3.2.0-pyhd8ed1ab_0
    Linking idna-3.4-pyhd8ed1ab_0
    Linking certifi-2023.7.22-pyhd8ed1ab_0
    Linking colorama-0.4.6-pyhd8ed1ab_0
    Linking packaging-23.1-pyhd8ed1ab_0
    Linking toolz-0.12.0-pyhd8ed1ab_0
    Linking pluggy-1.2.0-pyhd8ed1ab_0
    Linking jsonpointer-2.0-py_0
    Linking boltons-23.0.0-pyhd8ed1ab_0
    Linking tqdm-4.65.0-pyhd8ed1ab_1
    Linking jsonpatch-1.32-pyhd8ed1ab_0
    Linking brotli-python-1.0.9-py38hfa26641_9
    Linking ruamel.yaml.clib-0.2.7-py38h1de0b5d_1
    Linking pycosat-0.6.4-py38h0a891b7_1
    Linking cffi-1.14.4-py38ha312104_0
    Linking ruamel.yaml-0.17.32-py38h01eb140_0
    Linking zstandard-0.19.0-py38ha98ab4e_2
    Linking cryptography-39.0.0-py38h1724139_0
    Linking urllib3-2.0.4-pyhd8ed1ab_0
    Linking conda-package-streaming-0.8.0-pyhd8ed1ab_0
    Linking pyopenssl-23.2.0-pyhd8ed1ab_1
    Linking requests-2.31.0-pyhd8ed1ab_0
    Linking conda-package-handling-2.0.2-pyh38be061_0
    Linking conda-23.7.2-py38h578d9bd_0
    
    Transaction finished
    
    To activate this environment, use:
    
        micromamba activate /home/nothing/easydiffusion/easy-diffusion/installer_files/env
    
    Or to execute a single command in this environment, use:
    
        micromamba run -p /home/nothing/easydiffusion/easy-diffusion/installer_files/env mycommand
    
    /usr/bin/git
    git version 2.41.0
    /home/nothing/easydiffusion/easy-diffusion/installer_files/env/bin/conda
    conda 23.7.2
    
    
    Easy Diffusion
    
    
    
    Downloading Easy Diffusion..
    
    Using the main channel
    
    Cloning into 'sd-ui-files'...
    remote: Enumerating objects: 18042, done.
    remote: Counting objects: 100% (6033/6033), done.
    remote: Compressing objects: 100% (591/591), done.
    remote: Total 18042 (delta 5609), reused 5725 (delta 5437), pack-reused 12009
    Receiving objects: 100% (18042/18042), 58.02 MiB | 5.09 MiB/s, done.
    Resolving deltas: 100% (12317/12317), done.
    > python -m pip install --upgrade torch==2.0.0
    Collecting torch==2.0.0
      Downloading torch-2.0.0-cp38-cp38-manylinux1_x86_64.whl (619.9 MB)
         ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━╸━━━━━ 534.9/619.9 MB 3.3 MB/s eta 0:00:27
    
    [...]
    
    

![](3.png) ![](2.png) ![](4.png) ![](5.png)

Now that stablediffusion is ready let's try to generate an image:

![](6.png) ![](7.png)

Now like this we managed to generate a 512x512 image. But let's try to generate a 4k resolution image, but as you can see we can't just set the setting like that, we need to use the upscaler below:

![](8.png)

the default 4k resolution is 3840 by 2160 pixels. So to create a 4k image we can use the image size 960 by 576 pixels, which will render as a 4k image thanks to the RealESRGAN_x4plus:

![](9.png)

Now that we know it works let's try another model like [Openjourney](https://huggingface.co/prompthero/openjourney/blob/main/mdjrny-v4.ckpt):
    
    
    [ 10.0.2.2/24 ] [ /dev/pts/30 ] [easydiffusion/easy-diffusion/models]
    → ls -lash
    total 36K
    4.0K drwxr-xr-x 9 nothing nothing 4.0K Jul 30 15:11 .
    4.0K drwxrwxr-x 9 nothing nothing 4.0K Jul 30 15:32 ..
    4.0K drwxr-xr-x 2 nothing nothing 4.0K Jul 30 15:11 codeformer
    4.0K drwxr-xr-x 2 nothing nothing 4.0K Jul 30 15:28 gfpgan
    4.0K drwxr-xr-x 2 nothing nothing 4.0K Jul 30 15:11 hypernetwork
    4.0K drwxr-xr-x 2 nothing nothing 4.0K Jul 30 15:11 lora
    4.0K drwxr-xr-x 2 nothing nothing 4.0K Jul 30 15:30 realesrgan
    4.0K drwxr-xr-x 2 nothing nothing 4.0K Jul 30 15:11 stable-diffusion
    4.0K drwxr-xr-x 2 nothing nothing 4.0K Jul 30 15:30 vae
    
    [ 10.0.2.2/24 ] [ /dev/pts/30 ] [easydiffusion/easy-diffusion/models]
    → cd stable-diffusion
    
    [ 10.0.2.2/24 ] [ /dev/pts/30 ] [easy-diffusion/models/stable-diffusion]
    → ls
    'Place your stable-diffusion model files here.txt'   sd-v1-4.ckpt
    
    [ 10.0.2.2/24 ] [ /dev/pts/30 ] [easy-diffusion/models/stable-diffusion]
    → mv ~/Downloads/mdjrny-v4.ckpt .
    
    [ 10.0.2.2/24 ] [ /dev/pts/30 ] [easy-diffusion/models/stable-diffusion]
    → ls
     mdjrny-v4.ckpt  'Place your stable-diffusion model files here.txt'   sd-v1-4.ckpt
    	
    

Then use it like so:

![](10.png)

Next we're going to finetune it as much as possible to copy midjourney:

![](11.png)

Then restart easydiffusion:
    
    
    17:19:46.019 INFO cuda:0 Session 1690723929701 task 140438942630336 completed by NVIDIA GeForce RTX 3070 Ti.                                                                                                                                                                                                task_manager.py:367
    ^CPress any key to continue
    
    [ 10.0.2.2/24 ] [ /dev/pts/28 ] [~/easydiffusion/easy-diffusion]
    → ./start.sh
    	
    

![](12.png)

Restart it gain in the same manner (ctrl+C and run start.sh again)

![](13.png) ![](14.png)

Next we want to add the [baddream negative embedding model](https://civitai.com/models/72437/baddream-unrealisticdream-negative-embeddings):
    
    
    [ 10.0.2.2/24 ] [ /dev/pts/30 ] [easy-diffusion/models/stable-diffusion]
    → cd ..
    
    [ 10.0.2.2/24 ] [ /dev/pts/30 ] [easydiffusion/easy-diffusion/models]
    → ls
    codeformer  embeddings  gfpgan  hypernetwork  lora  realesrgan  stable-diffusion  vae
    
    [ 10.0.2.2/24 ] [ /dev/pts/30 ] [easydiffusion/easy-diffusion/models]
    → cd embeddings
    
    [ 10.0.2.2/24 ] [ /dev/pts/30 ] [easy-diffusion/models/embeddings]
    → ls
    
    [ 10.0.2.2/24 ] [ /dev/pts/30 ] [easy-diffusion/models/embeddings]
    → mv ~/Downloads/BadDream.pt .
    
    [ 10.0.2.2/24 ] [ /dev/pts/30 ] [easy-diffusion/models/embeddings]
    → ls
    BadDream.pt
    
    [ 10.0.2.2/24 ] [ /dev/pts/30 ] [easy-diffusion/models/embeddings]
    →
    
    (then restart easydiffusion like before)
    	
    

Next we will add a [midjourney lora](https://civitai.com/models/22811):
    
    
    [ 10.0.2.2/24 ] [ /dev/pts/30 ] [easy-diffusion/models/embeddings]
    → cd ..
    
    [ 10.0.2.2/24 ] [ /dev/pts/30 ] [easydiffusion/easy-diffusion/models]
    → ls
    codeformer  embeddings  gfpgan  hypernetwork  lora  realesrgan  stable-diffusion  vae
    
    [ 10.0.2.2/24 ] [ /dev/pts/30 ] [easydiffusion/easy-diffusion/models]
    → cd lora
    
    [ 10.0.2.2/24 ] [ /dev/pts/30 ] [easy-diffusion/models/lora]
    → ls
    'Place your lora model files here.txt'
    
    [ 10.0.2.2/24 ] [ /dev/pts/30 ] [easy-diffusion/models/lora]
    → mv ~/Downloads/mj_style_1-000010.safetensors .
    	
    

Next we will add a [midjourney syle embedding](https://civitai.com/models/3093/midjourney-general-style):
    
    
    
    [ 10.0.2.2/24 ] [ /dev/pts/30 ] [easydiffusion/easy-diffusion/models]
    → cd embeddings
    
    [ 10.0.2.2/24 ] [ /dev/pts/30 ] [easy-diffusion/models/embeddings]
    → ls
    BadDream.pt
    
    [ 10.0.2.2/24 ] [ /dev/pts/30 ] [easy-diffusion/models/embeddings]
    → mv ~/Downloads/mj-gs.pt .
    	
    

Next restart easydiffusion and embed the style and the lora and the baddream negative embedding:

![](15.png)

also trying another openjourney model may yield better results like this [one](https://huggingface.co/prompthero-diffusion-models/openjourney-v4/blob/main/openjourney-v4.ckpt): 

For the highest rated negative embeddings you can go [here](https://civitai.com/tag/negative%20embedding?sort=Most+Liked)

For the highest rated negative embeddings you can go [here](https://civitai.com/tag/negative%20embedding?sort=Most+Liked)

let's try this one: [](https://civitai.com/models/27259/tmnd-mix)
    
    
    [ 10.0.2.2/24 ] [ /dev/pts/30 ] [easy-diffusion/models/stable-diffusion]
    → ls
     mdjrny-v4.ckpt  'Place your stable-diffusion model files here.txt'   sd-v1-4.ckpt
    
    [ 10.0.2.2/24 ] [ /dev/pts/30 ] [easy-diffusion/models/stable-diffusion]
    → cat Place\ your\ stable-diffusion\ model\ files\ here.txt
    Supported extensions: .ckpt or .safetensors%
    
    [ 10.0.2.2/24 ] [ /dev/pts/30 ] [easy-diffusion/models/stable-diffusion]
    → mv ~/Downloads/tmndMix_tmndMixVIPruned.safetensors .
    	
    

Then to make use of the prompts we need a few negative prompt embeddings:
    
    
    badhandv4, EasyNegative, verybadimagenegative_v1.3, (worst quality:2), (low quality:2), (normal quality:2)
    	
    

Which we can download:
    
    
    
    https://civitai.com/models/16993
    https://civitai.com/models/7808
    https://civitai.com/models/11772
    
    
    [ 10.0.2.2/24 ] [ /dev/pts/30 ] [easy-diffusion/models/embeddings]
    → mv ~/Downloads/easynegative.safetensors .
    
    [ 10.0.2.2/24 ] [ /dev/pts/30 ] [easy-diffusion/models/embeddings]
    → mv ~/Downloads/verybadimagenegative_v1.3.pt .
    
    [ 10.0.2.2/24 ] [ /dev/pts/30 ] [easy-diffusion/models/embeddings]
    → mv ~/Downloads/badhandv4.pt .
    
    
    https://civitai.com/models/116225
    
    [ 10.0.2.2/24 ] [ /dev/pts/30 ] [easydiffusion/easy-diffusion/models]
    → cd realesrgan
    
    [ 10.0.2.2/24 ] [ /dev/pts/30 ] [easy-diffusion/models/realesrgan]
    → ls
    'Place your realesrgan model files here.txt'   RealESRGAN_x4plus.pth
    
    [ 10.0.2.2/24 ] [ /dev/pts/30 ] [easy-diffusion/models/realesrgan]
    → mv ~/Downloads/4xUltrasharp_4xUltrasharpV10.pt .
    
    [ 10.0.2.2/24 ] [ /dev/pts/30 ] [easy-diffusion/models/realesrgan]
    → cat Place\ your\ realesrgan\ model\ files\ here.txt
    Supported extensions: .pth%
    
    [ 10.0.2.2/24 ] [ /dev/pts/30 ] [easy-diffusion/models/realesrgan]
    → mv 4xUltrasharp_4xUltrasharpV10.pt 4xUltrasharp_4xUltrasharpV10.pth
    	
    

You'll need to play with models, lora models, negative prompts and image settings until you find the best ways to make art.

you can also use chatgpt to give you prompts to try out:

![](16.png) ![](17.png)

Here's some very satisfying settings you can try out:

![](18.png) ![](19.png)

Next, to be able to use plugins you can get the plugins manager made by Patrice AC [here](https://github.com/patriceac/Easy-Diffusion-Plugins):
    
    
    [ 10.0.2.2/24 ] [ /dev/pts/25 ] [easydiffusion/easy-diffusion/plugins]
    → ls
    server  ui
    
    [ 10.0.2.2/24 ] [ /dev/pts/25 ] [easydiffusion/easy-diffusion/plugins]
    → cd ui
    
    [ 10.0.2.2/24 ] [ /dev/pts/25 ] [easy-diffusion/plugins/ui]
    → ls
    
    [ 10.0.2.2/24 ] [ /dev/pts/25 ] [easy-diffusion/plugins/ui]
    → wget https://raw.githubusercontent.com/patriceac/Easy-Diffusion-Plugins/main/plugin-manager.plugin.js
    --2023-07-31 17:57:30--  https://raw.githubusercontent.com/patriceac/Easy-Diffusion-Plugins/main/plugin-manager.plugin.js
    Loaded CA certificate '/etc/ssl/certs/ca-certificates.crt'
    Resolving raw.githubusercontent.com (raw.githubusercontent.com)... 185.199.108.133, 185.199.111.133, 185.199.110.133, ...
    Connecting to raw.githubusercontent.com (raw.githubusercontent.com)|185.199.108.133|:443... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: 54639 (53K) [text/plain]
    Saving to: ‘plugin-manager.plugin.js’
    
    plugin-manager.plugin.js                                    100%[==========================================================================================================================================>]  53.36K  --.-KB/s    in 0.05s
    
    2023-07-31 17:57:30 (1.03 MB/s) - ‘plugin-manager.plugin.js’ saved [54639/54639]
    
    

Then just refresh the easydiffusion page to see the plugins appear:

![](20.png)

Other example of satisfying settings:

![](21.png)
    
    
    seeing the horizon, view from above, upper body, nun arya stark hooded in the distance, dressed in black robes, overshadowed face, eyes closed, blissful facial expression, in a disorganised, dense dark field of taller large purple datura flowers, dense lush datura vegetation, upward faced opened flowers, toxic dark fumes, in darkness, thick black fog, toxic purple smoke, darkness, high contrast, dark ambiance, heavy black rain, flatlands, Anime++
    Seed: 2069005629, 
    Dimensions: 1024x512, 
    Sampler: dpmpp_sde, 
    Inference Steps: 50, 
    Guidance Scale: 7.5, 
    Model: aZovyaRPGArtistTools_v3, 
    Negative Prompt: deformed,missing limbs,amputated,pants,shorts,cat ears,bad anatomy, disfigured, poorly drawn face, mutation, mutated,ugly, disgusting, blurry, watermark, watermarked, over saturated, obese, doubled face,b&w;, black and white, sepia, no masks,duplicate image, blur, paintings, sketches, (worst quality:2), (low quality:2), (normal quality:2), low res, normal quality, monochrome, grayscale, bad anatomy,(fat:1.2),facing away, looking away,tilted head,low res,bad anatomy,bad hands, text, error, missing fingers,extra digit, fewer digits, cropped,jpeg artifacts,signature, watermark, username,blurry,bad feet,cropped,worst quality,low quality,normal quality,jpeg, moon, stars, lighting, sunlight, sun, day, daylight, aligned field, straight lines, road, dirtroad, river, ocean, island, spotlights, lasers, mountains, floor, 
    Upscale: RealESRGAN_x4plus (4x), 
    Lora Model: add_detail, 
    Lora Strength: 1
    
    
    
    
    

